Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network96.0.0.0/4
Usable hosts268,435,454
Subnet mask240.0.0.0
Addresses268,435,456
Network address
96.0.0.0
Broadcast address
111.255.255.255
First usable
96.0.0.1
Last usable
111.255.255.254
Usable hosts
268,435,454 (268,435,456 less the network and broadcast addresses)
Subnet mask
240.0.0.0
Wildcard mask
15.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/4
Type
Public public
Old class
A (default /8)
As numbers
Hex 60000000 · Integer 1610612736 to 1879048191
Reverse DNS zones
96.in-addr.arpa
97.in-addr.arpa
98.in-addr.arpa
99.in-addr.arpa
100.in-addr.arpa
101.in-addr.arpa
102.in-addr.arpa
103.in-addr.arpa
104.in-addr.arpa
105.in-addr.arpa
106.in-addr.arpa
107.in-addr.arpa
108.in-addr.arpa
109.in-addr.arpa
110.in-addr.arpa
111.in-addr.arpa
/4 is not on a 8-bit boundary, so it takes 16 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01100000.00000000.00000000.0000000096.0.0.0
Subnet mask11110000.00000000.00000000.00000000240.0.0.0
Network01100000.00000000.00000000.0000000096.0.0.0
Broadcast01101111.11111111.11111111.11111111111.255.255.255
Split into smaller subnets/16

96.0.0.0/4 makes 4,096 subnets of /16; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
196.0.0.0/1696.0.0.1 to 96.0.255.25496.0.255.25565,534
296.1.0.0/1696.1.0.1 to 96.1.255.25496.1.255.25565,534
396.2.0.0/1696.2.0.1 to 96.2.255.25496.2.255.25565,534
496.3.0.0/1696.3.0.1 to 96.3.255.25496.3.255.25565,534
596.4.0.0/1696.4.0.1 to 96.4.255.25496.4.255.25565,534
696.5.0.0/1696.5.0.1 to 96.5.255.25496.5.255.25565,534
796.6.0.0/1696.6.0.1 to 96.6.255.25496.6.255.25565,534
896.7.0.0/1696.7.0.1 to 96.7.255.25496.7.255.25565,534
996.8.0.0/1696.8.0.1 to 96.8.255.25496.8.255.25565,534
1096.9.0.0/1696.9.0.1 to 96.9.255.25496.9.255.25565,534
1196.10.0.0/1696.10.0.1 to 96.10.255.25496.10.255.25565,534
1296.11.0.0/1696.11.0.1 to 96.11.255.25496.11.255.25565,534
1396.12.0.0/1696.12.0.1 to 96.12.255.25496.12.255.25565,534
1496.13.0.0/1696.13.0.1 to 96.13.255.25496.13.255.25565,534
1596.14.0.0/1696.14.0.1 to 96.14.255.25496.14.255.25565,534
1696.15.0.0/1696.15.0.1 to 96.15.255.25496.15.255.25565,534
1796.16.0.0/1696.16.0.1 to 96.16.255.25496.16.255.25565,534
1896.17.0.0/1696.17.0.1 to 96.17.255.25496.17.255.25565,534
1996.18.0.0/1696.18.0.1 to 96.18.255.25496.18.255.25565,534
2096.19.0.0/1696.19.0.1 to 96.19.255.25496.19.255.25565,534
2196.20.0.0/1696.20.0.1 to 96.20.255.25496.20.255.25565,534
2296.21.0.0/1696.21.0.1 to 96.21.255.25496.21.255.25565,534
2396.22.0.0/1696.22.0.1 to 96.22.255.25496.22.255.25565,534
2496.23.0.0/1696.23.0.1 to 96.23.255.25496.23.255.25565,534
2596.24.0.0/1696.24.0.1 to 96.24.255.25496.24.255.25565,534
2696.25.0.0/1696.25.0.1 to 96.25.255.25496.25.255.25565,534
2796.26.0.0/1696.26.0.1 to 96.26.255.25496.26.255.25565,534
2896.27.0.0/1696.27.0.1 to 96.27.255.25496.27.255.25565,534
2996.28.0.0/1696.28.0.1 to 96.28.255.25496.28.255.25565,534
3096.29.0.0/1696.29.0.1 to 96.29.255.25496.29.255.25565,534
3196.30.0.0/1696.30.0.1 to 96.30.255.25496.30.255.25565,534
3296.31.0.0/1696.31.0.1 to 96.31.255.25496.31.255.25565,534
3396.32.0.0/1696.32.0.1 to 96.32.255.25496.32.255.25565,534
3496.33.0.0/1696.33.0.1 to 96.33.255.25496.33.255.25565,534
3596.34.0.0/1696.34.0.1 to 96.34.255.25496.34.255.25565,534
3696.35.0.0/1696.35.0.1 to 96.35.255.25496.35.255.25565,534
3796.36.0.0/1696.36.0.1 to 96.36.255.25496.36.255.25565,534
3896.37.0.0/1696.37.0.1 to 96.37.255.25496.37.255.25565,534
3996.38.0.0/1696.38.0.1 to 96.38.255.25496.38.255.25565,534
4096.39.0.0/1696.39.0.1 to 96.39.255.25496.39.255.25565,534
4196.40.0.0/1696.40.0.1 to 96.40.255.25496.40.255.25565,534
4296.41.0.0/1696.41.0.1 to 96.41.255.25496.41.255.25565,534
4396.42.0.0/1696.42.0.1 to 96.42.255.25496.42.255.25565,534
4496.43.0.0/1696.43.0.1 to 96.43.255.25496.43.255.25565,534
4596.44.0.0/1696.44.0.1 to 96.44.255.25496.44.255.25565,534
4696.45.0.0/1696.45.0.1 to 96.45.255.25496.45.255.25565,534
4796.46.0.0/1696.46.0.1 to 96.46.255.25496.46.255.25565,534
4896.47.0.0/1696.47.0.1 to 96.47.255.25496.47.255.25565,534
4996.48.0.0/1696.48.0.1 to 96.48.255.25496.48.255.25565,534
5096.49.0.0/1696.49.0.1 to 96.49.255.25496.49.255.25565,534
5196.50.0.0/1696.50.0.1 to 96.50.255.25496.50.255.25565,534
5296.51.0.0/1696.51.0.1 to 96.51.255.25496.51.255.25565,534
5396.52.0.0/1696.52.0.1 to 96.52.255.25496.52.255.25565,534
5496.53.0.0/1696.53.0.1 to 96.53.255.25496.53.255.25565,534
5596.54.0.0/1696.54.0.1 to 96.54.255.25496.54.255.25565,534
5696.55.0.0/1696.55.0.1 to 96.55.255.25496.55.255.25565,534
5796.56.0.0/1696.56.0.1 to 96.56.255.25496.56.255.25565,534
5896.57.0.0/1696.57.0.1 to 96.57.255.25496.57.255.25565,534
5996.58.0.0/1696.58.0.1 to 96.58.255.25496.58.255.25565,534
6096.59.0.0/1696.59.0.1 to 96.59.255.25496.59.255.25565,534
6196.60.0.0/1696.60.0.1 to 96.60.255.25496.60.255.25565,534
6296.61.0.0/1696.61.0.1 to 96.61.255.25496.61.255.25565,534
6396.62.0.0/1696.62.0.1 to 96.62.255.25496.62.255.25565,534
6496.63.0.0/1696.63.0.1 to 96.63.255.25496.63.255.25565,534
6596.64.0.0/1696.64.0.1 to 96.64.255.25496.64.255.25565,534
6696.65.0.0/1696.65.0.1 to 96.65.255.25496.65.255.25565,534
6796.66.0.0/1696.66.0.1 to 96.66.255.25496.66.255.25565,534
6896.67.0.0/1696.67.0.1 to 96.67.255.25496.67.255.25565,534
6996.68.0.0/1696.68.0.1 to 96.68.255.25496.68.255.25565,534
7096.69.0.0/1696.69.0.1 to 96.69.255.25496.69.255.25565,534
7196.70.0.0/1696.70.0.1 to 96.70.255.25496.70.255.25565,534
7296.71.0.0/1696.71.0.1 to 96.71.255.25496.71.255.25565,534
7396.72.0.0/1696.72.0.1 to 96.72.255.25496.72.255.25565,534
7496.73.0.0/1696.73.0.1 to 96.73.255.25496.73.255.25565,534
7596.74.0.0/1696.74.0.1 to 96.74.255.25496.74.255.25565,534
7696.75.0.0/1696.75.0.1 to 96.75.255.25496.75.255.25565,534
7796.76.0.0/1696.76.0.1 to 96.76.255.25496.76.255.25565,534
7896.77.0.0/1696.77.0.1 to 96.77.255.25496.77.255.25565,534
7996.78.0.0/1696.78.0.1 to 96.78.255.25496.78.255.25565,534
8096.79.0.0/1696.79.0.1 to 96.79.255.25496.79.255.25565,534
8196.80.0.0/1696.80.0.1 to 96.80.255.25496.80.255.25565,534
8296.81.0.0/1696.81.0.1 to 96.81.255.25496.81.255.25565,534
8396.82.0.0/1696.82.0.1 to 96.82.255.25496.82.255.25565,534
8496.83.0.0/1696.83.0.1 to 96.83.255.25496.83.255.25565,534
8596.84.0.0/1696.84.0.1 to 96.84.255.25496.84.255.25565,534
8696.85.0.0/1696.85.0.1 to 96.85.255.25496.85.255.25565,534
8796.86.0.0/1696.86.0.1 to 96.86.255.25496.86.255.25565,534
8896.87.0.0/1696.87.0.1 to 96.87.255.25496.87.255.25565,534
8996.88.0.0/1696.88.0.1 to 96.88.255.25496.88.255.25565,534
9096.89.0.0/1696.89.0.1 to 96.89.255.25496.89.255.25565,534
9196.90.0.0/1696.90.0.1 to 96.90.255.25496.90.255.25565,534
9296.91.0.0/1696.91.0.1 to 96.91.255.25496.91.255.25565,534
9396.92.0.0/1696.92.0.1 to 96.92.255.25496.92.255.25565,534
9496.93.0.0/1696.93.0.1 to 96.93.255.25496.93.255.25565,534
9596.94.0.0/1696.94.0.1 to 96.94.255.25496.94.255.25565,534
9696.95.0.0/1696.95.0.1 to 96.95.255.25496.95.255.25565,534
9796.96.0.0/1696.96.0.1 to 96.96.255.25496.96.255.25565,534
9896.97.0.0/1696.97.0.1 to 96.97.255.25496.97.255.25565,534
9996.98.0.0/1696.98.0.1 to 96.98.255.25496.98.255.25565,534
10096.99.0.0/1696.99.0.1 to 96.99.255.25496.99.255.25565,534
10196.100.0.0/1696.100.0.1 to 96.100.255.25496.100.255.25565,534
10296.101.0.0/1696.101.0.1 to 96.101.255.25496.101.255.25565,534
10396.102.0.0/1696.102.0.1 to 96.102.255.25496.102.255.25565,534
10496.103.0.0/1696.103.0.1 to 96.103.255.25496.103.255.25565,534
10596.104.0.0/1696.104.0.1 to 96.104.255.25496.104.255.25565,534
10696.105.0.0/1696.105.0.1 to 96.105.255.25496.105.255.25565,534
10796.106.0.0/1696.106.0.1 to 96.106.255.25496.106.255.25565,534
10896.107.0.0/1696.107.0.1 to 96.107.255.25496.107.255.25565,534
10996.108.0.0/1696.108.0.1 to 96.108.255.25496.108.255.25565,534
11096.109.0.0/1696.109.0.1 to 96.109.255.25496.109.255.25565,534
11196.110.0.0/1696.110.0.1 to 96.110.255.25496.110.255.25565,534
11296.111.0.0/1696.111.0.1 to 96.111.255.25496.111.255.25565,534
11396.112.0.0/1696.112.0.1 to 96.112.255.25496.112.255.25565,534
11496.113.0.0/1696.113.0.1 to 96.113.255.25496.113.255.25565,534
11596.114.0.0/1696.114.0.1 to 96.114.255.25496.114.255.25565,534
11696.115.0.0/1696.115.0.1 to 96.115.255.25496.115.255.25565,534
11796.116.0.0/1696.116.0.1 to 96.116.255.25496.116.255.25565,534
11896.117.0.0/1696.117.0.1 to 96.117.255.25496.117.255.25565,534
11996.118.0.0/1696.118.0.1 to 96.118.255.25496.118.255.25565,534
12096.119.0.0/1696.119.0.1 to 96.119.255.25496.119.255.25565,534
12196.120.0.0/1696.120.0.1 to 96.120.255.25496.120.255.25565,534
12296.121.0.0/1696.121.0.1 to 96.121.255.25496.121.255.25565,534
12396.122.0.0/1696.122.0.1 to 96.122.255.25496.122.255.25565,534
12496.123.0.0/1696.123.0.1 to 96.123.255.25496.123.255.25565,534
12596.124.0.0/1696.124.0.1 to 96.124.255.25496.124.255.25565,534
12696.125.0.0/1696.125.0.1 to 96.125.255.25496.125.255.25565,534
12796.126.0.0/1696.126.0.1 to 96.126.255.25496.126.255.25565,534
12896.127.0.0/1696.127.0.1 to 96.127.255.25496.127.255.25565,534
12996.128.0.0/1696.128.0.1 to 96.128.255.25496.128.255.25565,534
13096.129.0.0/1696.129.0.1 to 96.129.255.25496.129.255.25565,534
13196.130.0.0/1696.130.0.1 to 96.130.255.25496.130.255.25565,534
13296.131.0.0/1696.131.0.1 to 96.131.255.25496.131.255.25565,534
13396.132.0.0/1696.132.0.1 to 96.132.255.25496.132.255.25565,534
13496.133.0.0/1696.133.0.1 to 96.133.255.25496.133.255.25565,534
13596.134.0.0/1696.134.0.1 to 96.134.255.25496.134.255.25565,534
13696.135.0.0/1696.135.0.1 to 96.135.255.25496.135.255.25565,534
13796.136.0.0/1696.136.0.1 to 96.136.255.25496.136.255.25565,534
13896.137.0.0/1696.137.0.1 to 96.137.255.25496.137.255.25565,534
13996.138.0.0/1696.138.0.1 to 96.138.255.25496.138.255.25565,534
14096.139.0.0/1696.139.0.1 to 96.139.255.25496.139.255.25565,534
14196.140.0.0/1696.140.0.1 to 96.140.255.25496.140.255.25565,534
14296.141.0.0/1696.141.0.1 to 96.141.255.25496.141.255.25565,534
14396.142.0.0/1696.142.0.1 to 96.142.255.25496.142.255.25565,534
14496.143.0.0/1696.143.0.1 to 96.143.255.25496.143.255.25565,534
14596.144.0.0/1696.144.0.1 to 96.144.255.25496.144.255.25565,534
14696.145.0.0/1696.145.0.1 to 96.145.255.25496.145.255.25565,534
14796.146.0.0/1696.146.0.1 to 96.146.255.25496.146.255.25565,534
14896.147.0.0/1696.147.0.1 to 96.147.255.25496.147.255.25565,534
14996.148.0.0/1696.148.0.1 to 96.148.255.25496.148.255.25565,534
15096.149.0.0/1696.149.0.1 to 96.149.255.25496.149.255.25565,534
15196.150.0.0/1696.150.0.1 to 96.150.255.25496.150.255.25565,534
15296.151.0.0/1696.151.0.1 to 96.151.255.25496.151.255.25565,534
15396.152.0.0/1696.152.0.1 to 96.152.255.25496.152.255.25565,534
15496.153.0.0/1696.153.0.1 to 96.153.255.25496.153.255.25565,534
15596.154.0.0/1696.154.0.1 to 96.154.255.25496.154.255.25565,534
15696.155.0.0/1696.155.0.1 to 96.155.255.25496.155.255.25565,534
15796.156.0.0/1696.156.0.1 to 96.156.255.25496.156.255.25565,534
15896.157.0.0/1696.157.0.1 to 96.157.255.25496.157.255.25565,534
15996.158.0.0/1696.158.0.1 to 96.158.255.25496.158.255.25565,534
16096.159.0.0/1696.159.0.1 to 96.159.255.25496.159.255.25565,534
16196.160.0.0/1696.160.0.1 to 96.160.255.25496.160.255.25565,534
16296.161.0.0/1696.161.0.1 to 96.161.255.25496.161.255.25565,534
16396.162.0.0/1696.162.0.1 to 96.162.255.25496.162.255.25565,534
16496.163.0.0/1696.163.0.1 to 96.163.255.25496.163.255.25565,534
16596.164.0.0/1696.164.0.1 to 96.164.255.25496.164.255.25565,534
16696.165.0.0/1696.165.0.1 to 96.165.255.25496.165.255.25565,534
16796.166.0.0/1696.166.0.1 to 96.166.255.25496.166.255.25565,534
16896.167.0.0/1696.167.0.1 to 96.167.255.25496.167.255.25565,534
16996.168.0.0/1696.168.0.1 to 96.168.255.25496.168.255.25565,534
17096.169.0.0/1696.169.0.1 to 96.169.255.25496.169.255.25565,534
17196.170.0.0/1696.170.0.1 to 96.170.255.25496.170.255.25565,534
17296.171.0.0/1696.171.0.1 to 96.171.255.25496.171.255.25565,534
17396.172.0.0/1696.172.0.1 to 96.172.255.25496.172.255.25565,534
17496.173.0.0/1696.173.0.1 to 96.173.255.25496.173.255.25565,534
17596.174.0.0/1696.174.0.1 to 96.174.255.25496.174.255.25565,534
17696.175.0.0/1696.175.0.1 to 96.175.255.25496.175.255.25565,534
17796.176.0.0/1696.176.0.1 to 96.176.255.25496.176.255.25565,534
17896.177.0.0/1696.177.0.1 to 96.177.255.25496.177.255.25565,534
17996.178.0.0/1696.178.0.1 to 96.178.255.25496.178.255.25565,534
18096.179.0.0/1696.179.0.1 to 96.179.255.25496.179.255.25565,534
18196.180.0.0/1696.180.0.1 to 96.180.255.25496.180.255.25565,534
18296.181.0.0/1696.181.0.1 to 96.181.255.25496.181.255.25565,534
18396.182.0.0/1696.182.0.1 to 96.182.255.25496.182.255.25565,534
18496.183.0.0/1696.183.0.1 to 96.183.255.25496.183.255.25565,534
18596.184.0.0/1696.184.0.1 to 96.184.255.25496.184.255.25565,534
18696.185.0.0/1696.185.0.1 to 96.185.255.25496.185.255.25565,534
18796.186.0.0/1696.186.0.1 to 96.186.255.25496.186.255.25565,534
18896.187.0.0/1696.187.0.1 to 96.187.255.25496.187.255.25565,534
18996.188.0.0/1696.188.0.1 to 96.188.255.25496.188.255.25565,534
19096.189.0.0/1696.189.0.1 to 96.189.255.25496.189.255.25565,534
19196.190.0.0/1696.190.0.1 to 96.190.255.25496.190.255.25565,534
19296.191.0.0/1696.191.0.1 to 96.191.255.25496.191.255.25565,534
19396.192.0.0/1696.192.0.1 to 96.192.255.25496.192.255.25565,534
19496.193.0.0/1696.193.0.1 to 96.193.255.25496.193.255.25565,534
19596.194.0.0/1696.194.0.1 to 96.194.255.25496.194.255.25565,534
19696.195.0.0/1696.195.0.1 to 96.195.255.25496.195.255.25565,534
19796.196.0.0/1696.196.0.1 to 96.196.255.25496.196.255.25565,534
19896.197.0.0/1696.197.0.1 to 96.197.255.25496.197.255.25565,534
19996.198.0.0/1696.198.0.1 to 96.198.255.25496.198.255.25565,534
20096.199.0.0/1696.199.0.1 to 96.199.255.25496.199.255.25565,534
20196.200.0.0/1696.200.0.1 to 96.200.255.25496.200.255.25565,534
20296.201.0.0/1696.201.0.1 to 96.201.255.25496.201.255.25565,534
20396.202.0.0/1696.202.0.1 to 96.202.255.25496.202.255.25565,534
20496.203.0.0/1696.203.0.1 to 96.203.255.25496.203.255.25565,534
20596.204.0.0/1696.204.0.1 to 96.204.255.25496.204.255.25565,534
20696.205.0.0/1696.205.0.1 to 96.205.255.25496.205.255.25565,534
20796.206.0.0/1696.206.0.1 to 96.206.255.25496.206.255.25565,534
20896.207.0.0/1696.207.0.1 to 96.207.255.25496.207.255.25565,534
20996.208.0.0/1696.208.0.1 to 96.208.255.25496.208.255.25565,534
21096.209.0.0/1696.209.0.1 to 96.209.255.25496.209.255.25565,534
21196.210.0.0/1696.210.0.1 to 96.210.255.25496.210.255.25565,534
21296.211.0.0/1696.211.0.1 to 96.211.255.25496.211.255.25565,534
21396.212.0.0/1696.212.0.1 to 96.212.255.25496.212.255.25565,534
21496.213.0.0/1696.213.0.1 to 96.213.255.25496.213.255.25565,534
21596.214.0.0/1696.214.0.1 to 96.214.255.25496.214.255.25565,534
21696.215.0.0/1696.215.0.1 to 96.215.255.25496.215.255.25565,534
21796.216.0.0/1696.216.0.1 to 96.216.255.25496.216.255.25565,534
21896.217.0.0/1696.217.0.1 to 96.217.255.25496.217.255.25565,534
21996.218.0.0/1696.218.0.1 to 96.218.255.25496.218.255.25565,534
22096.219.0.0/1696.219.0.1 to 96.219.255.25496.219.255.25565,534
22196.220.0.0/1696.220.0.1 to 96.220.255.25496.220.255.25565,534
22296.221.0.0/1696.221.0.1 to 96.221.255.25496.221.255.25565,534
22396.222.0.0/1696.222.0.1 to 96.222.255.25496.222.255.25565,534
22496.223.0.0/1696.223.0.1 to 96.223.255.25496.223.255.25565,534
22596.224.0.0/1696.224.0.1 to 96.224.255.25496.224.255.25565,534
22696.225.0.0/1696.225.0.1 to 96.225.255.25496.225.255.25565,534
22796.226.0.0/1696.226.0.1 to 96.226.255.25496.226.255.25565,534
22896.227.0.0/1696.227.0.1 to 96.227.255.25496.227.255.25565,534
22996.228.0.0/1696.228.0.1 to 96.228.255.25496.228.255.25565,534
23096.229.0.0/1696.229.0.1 to 96.229.255.25496.229.255.25565,534
23196.230.0.0/1696.230.0.1 to 96.230.255.25496.230.255.25565,534
23296.231.0.0/1696.231.0.1 to 96.231.255.25496.231.255.25565,534
23396.232.0.0/1696.232.0.1 to 96.232.255.25496.232.255.25565,534
23496.233.0.0/1696.233.0.1 to 96.233.255.25496.233.255.25565,534
23596.234.0.0/1696.234.0.1 to 96.234.255.25496.234.255.25565,534
23696.235.0.0/1696.235.0.1 to 96.235.255.25496.235.255.25565,534
23796.236.0.0/1696.236.0.1 to 96.236.255.25496.236.255.25565,534
23896.237.0.0/1696.237.0.1 to 96.237.255.25496.237.255.25565,534
23996.238.0.0/1696.238.0.1 to 96.238.255.25496.238.255.25565,534
24096.239.0.0/1696.239.0.1 to 96.239.255.25496.239.255.25565,534
24196.240.0.0/1696.240.0.1 to 96.240.255.25496.240.255.25565,534
24296.241.0.0/1696.241.0.1 to 96.241.255.25496.241.255.25565,534
24396.242.0.0/1696.242.0.1 to 96.242.255.25496.242.255.25565,534
24496.243.0.0/1696.243.0.1 to 96.243.255.25496.243.255.25565,534
24596.244.0.0/1696.244.0.1 to 96.244.255.25496.244.255.25565,534
24696.245.0.0/1696.245.0.1 to 96.245.255.25496.245.255.25565,534
24796.246.0.0/1696.246.0.1 to 96.246.255.25496.246.255.25565,534
24896.247.0.0/1696.247.0.1 to 96.247.255.25496.247.255.25565,534
24996.248.0.0/1696.248.0.1 to 96.248.255.25496.248.255.25565,534
25096.249.0.0/1696.249.0.1 to 96.249.255.25496.249.255.25565,534
25196.250.0.0/1696.250.0.1 to 96.250.255.25496.250.255.25565,534
25296.251.0.0/1696.251.0.1 to 96.251.255.25496.251.255.25565,534
25396.252.0.0/1696.252.0.1 to 96.252.255.25496.252.255.25565,534
25496.253.0.0/1696.253.0.1 to 96.253.255.25496.253.255.25565,534
25596.254.0.0/1696.254.0.1 to 96.254.255.25496.254.255.25565,534
25696.255.0.0/1696.255.0.1 to 96.255.255.25496.255.255.25565,534

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses